typst-watch(1)

NAME
typst-watch - Watches an input file and recompiles on changes

SYNOPSIS
typst-watch [--root] [--input] [--font-path] [--diagnostic-format] [-f|--format] [--open] [--ppi] [--timings] [-h|--help] <INPUT> [OUTPUT]

DESCRIPTION
Watches an input file and recompiles on changes

OPTIONS

--root=DIR
    Configures the project root (for absolute paths)
    May also be specified with the TYPST_ROOT environment variable.

--input=key=value
    Add a string key-value pair visible through `sys.inputs`

--font-path=DIR
    Adds additional directories to search for fonts
    May also be specified with the TYPST_FONT_PATHS environment variable.

--diagnostic-format=DIAGNOSTIC_FORMAT [default: human]
    The format to emit diagnostics in
    [possible values: human, short]

-f, --format=FORMAT
    The format of the output file, inferred from the extension by default
    [possible values: pdf, png, svg]

--open=OPEN
    Opens the output file using the default viewer after compilation

--ppi=PPI [default: 144]
    The PPI (pixels per inch) to use for PNG export

--timings=OUTPUT_JSON
    Produces performance timings of the compilation process (experimental) The resulting JSON file can be loaded into a tracing tool such as https://ui.perfetto.dev. It does not contain any sensitive information apart from file names and line numbers.

-h, --help
    Print help (see a summary with '-h')

<INPUT>
    Path to input Typst file, use `-` to read input from stdin

[OUTPUT]
    Path to output file (PDF, PNG, or SVG)